//These variables will get set automatically
texture tex1;
float2 rcpres;
sampler s0 = sampler_state { texture = <tex1>; };



float4 NormalColourPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 color = tex2D( s0, Tex );
	color.a = 1;
	return color;
}

float4 BlurPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 color = tex2D( s0, Tex.xy);
	color += tex2D(s0, Tex.xy+0.001*4);
	color += tex2D(s0, Tex.xy-0.001*4);
        color /=3;

	return color;
}

Technique T0
{

    pass p0 { PixelShader = compile ps_2_0 NormalColourPass(); }
    pass p1 { PixelShader = compile ps_2_0 BlurPass(); }
}

